Subject: Re: bug#13546: 24.2.92; Error(s) when sending emails

From: "Sebastien Vauban" <[email-masked]>
Date: Fri, 01 Mar 2013 23:25:24 +0100

Eli, Glenn, Ted and others,

Eli Zaretskii wrote:
>> From: Ted Zlatanov <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Fri, 01 Mar 2013 14:40:59 -0500
>> 
>> On Fri, 01 Mar 2013 16:03:41 +0200 Eli Zaretskii <[email-masked]> wrote: 
>> 
>> >> From: Ted Zlatanov <[email-masked]>
>> >> Cc: [email-masked],  [email-masked]
>> >> Date: Fri, 01 Mar 2013 08:36:23 -0500
>> >> 
>> >> I didn't see this suggested: can you try from another platform besides W32?
>> 
>> EZ> Unless you are thinking about a bug in GnuTLS, I don't see how this
>> EZ> could help.  The problem is quite clearly in the infrastructure used
>> EZ> in the w32 build of Emacs.  Any other platform will not have any
>> EZ> comparable infrastructure, as they all use system-provided facilities
>> EZ> like signals and pty's.
>> 
>> I'd like to know that there's a working Emacs and a broken one, so we
>> can do some differential analysis.
>
> The symptoms we saw up till now (see the discussions) all so
> overwhelmingly point towards the w32-specific code that deals with
> subprocesses and network connections that it is hard to believe
> comparison with any other platform will be of any benefit whatsoever.

I think that Eli is plain right. Moreover, Thierry, the maintainer of Helm
never had any problems such as mines with Helm and locate. On Windows, the set
of programs is different, and Eli tells pratical constraints are as well quite
different.

So, this clearly seems to be Win32-only, reason why, maybe, there are so few,
or I'm the only one, reports of this.

> In any case, we already have a working Emacs (24.2.91) and a broken
> one (24.2.92 and 24.2.93), so if you want to compare them, please do.
>
>> Right now we're crossing our fingers that the latest pretest works.
>
> _I_ am crossing fingers.  Because I see no changes between 24.2.91 and
> the current emacs-24 branch that are specific to w32 and touch the
> relevant areas of Emacs.  If the current release branch is still
> buggy, I simply don't know what else could be the reason, and will
> advise Glenn to proceed with the release candidate, this problem
> notwithstanding.
>
>> Also, if we can determine definitely that the problem only affects W32
>> as we have supposed so far, it makes the debugging easier and the
>> problem less of a release blocker.
>
> No one else reported anything similar, not on Windows, not elsewhere.
>
>> I brought up GnuTLS because it's involved in some of Sebastian's setup,
>> and it has special glue in Emacs for W32.  As with my other suggestions,
>> I'm just trying to do some differential analysis to see if there's some
>> kind of bisection that will reduce the set of possible causes.  But I
>> agree with you that it's an unlikely cause... so I'll be quiet now :)
>
> No need to be quiet.  Any comments or thoughts on this are greatly
> appreciated.

FWIW, I currently regard Emacs 24.2.93 (from file
emacs-24-r111307-20130227-w32-i386.zip) as being as good as the Emacs 24.2.91
I've been using for weeks.

I (think we can) trust this version to have fixed problems introduced in
24.2.92 and first versions of 24.2.93.

Best regards,
  Seb

-- 
Sebastien Vauban